Aden

Teams

Team management (session only)

GET
/api/v1/teams/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/teams/"
POST
/api/v1/teams/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/teams/" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
GET
/api/v1/teams/{id}/invites

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string/invites"
POST
/api/v1/teams/{id}/invites

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/teams/string/invites" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
DELETE
/api/v1/teams/{id}/invites/{inviteId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
inviteId*string
curl -X DELETE "https://example.com/api/v1/teams/string/invites/string"
GET
/api/v1/teams/lookup

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

q?string
curl -X GET "https://example.com/api/v1/teams/lookup"
GET
/api/v1/teams/socials

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/teams/socials?teamId=string"
GET
/api/v1/teams/directory

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/teams/directory?teamId=string"
GET
/api/v1/teams/{id}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string"
GET
/api/v1/teams/{id}/overview

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string/overview"
GET
/api/v1/teams/{id}/invitable-members

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string/invitable-members"
GET
/api/v1/teams/{id}/members

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string/members"
GET
/api/v1/teams/{id}/plan

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string/plan"
GET
/api/v1/teams/{id}/media

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string/media"
POST
/api/v1/teams/{id}/media

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/teams/string/media" \  -H "Content-Type: application/json" \  -d '{    "fileName": "string",    "fileSize": 0,    "mediaType": "string"  }'
GET
/api/v1/teams/{id}/status-config

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string/status-config"
PATCH
/api/v1/teams/{id}/status-config

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/teams/string/status-config" \  -H "Content-Type: application/json" \  -d '{    "patch": {}  }'
PATCH
/api/v1/teams/{id}/switcher-visibility

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/teams/string/switcher-visibility" \  -H "Content-Type: application/json" \  -d '{    "hidden": true  }'
POST
/api/v1/teams/{id}/banner/upload-url

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/teams/string/banner/upload-url" \  -H "Content-Type: application/json" \  -d '{    "fileName": "string"  }'
PUT
/api/v1/teams/{id}/banner

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PUT "https://example.com/api/v1/teams/string/banner" \  -H "Content-Type: application/json" \  -d '{    "fileKey": "string"  }'
DELETE
/api/v1/teams/{id}/media/{mediaId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
mediaId*string
curl -X DELETE "https://example.com/api/v1/teams/string/media/string"
Was this helpful?